Bug 837084 - Usability issue on success page when adding cart which has secured web UI link with credentials
Usability issue on success page when adding cart which has secured web UI lin...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Website (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Steve Goodwin
libra bugs
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-02 13:42 EDT by Dan Mace
Modified: 2015-05-14 21:12 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-13 19:43:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
new visuals for reference (156.57 KB, image/png)
2012-07-10 10:27 EDT, Steve Goodwin
no flags Details

  None (edit)
Description Dan Mace 2012-07-02 13:42:19 EDT
Description of problem:

When adding a cartridge which provides a secured web UI (e.g. Jenkins), the resulting success page does not provide any visual contrast or other obvious cues as to the importance of noting the credentials, especially given the lack of a password reset mechanism. If the user does not make note on that single page, the cartridge UI will be rendered forever inaccessible to the user. The lack of visual contrast and cues could cause users to gloss over the page and navigate away.

Version-Release number of selected component (if applicable):


How reproducible:

Add a Jenkins server cartridge, and look at the resulting success page.

Steps to Reproduce:
1.
2.
3.
  
Actual results:

A low-contrast success page which does not provide sufficient warning to the user of the implications of losing the listed credentials.

Expected results:

A more obvious explanation of the ramifications of losing the credentials, as well as more visual contrast to prevent the user from glossing over the success page.

Additional info:
Comment 1 Clayton Coleman 2012-07-02 22:56:31 EDT
Multiple problems here - there should be a way of retrieving this info at anytime, and a better visual display of the attributes when they are retrieved.
Comment 2 Steve Goodwin 2012-07-09 17:28:02 EDT
It would be beneficial if each individual app had it's own "settings" page that would contain this and other key information, so it's accessible to the user at all times.

Looking through the backlog, I couldn't find a user story pertaining to this issue.
Comment 3 Clayton Coleman 2012-07-09 21:53:37 EDT
Steve was going to address the visuals.  Settings is further out - we will have to prioritize it eventually but it's not yet on the radar.
Comment 4 Steve Goodwin 2012-07-10 10:26:02 EDT
<pre> code block styles modified for high contrast with surrounding text.
Comment 5 Steve Goodwin 2012-07-10 10:27:18 EDT
Created attachment 597354 [details]
new visuals for reference
Comment 6 Yujie Zhang 2012-07-11 03:51:07 EDT
(In reply to comment #5)
Tested this issue on devenv_1884, the new visuals for reference has been added.

Note You need to log in before you can comment on or make changes to this bug.